<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy moc_ReaderThr.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('moc___reader_thr_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">moc_ReaderThr.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="moc___reader_thr_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/****************************************************************************</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment">** Meta object code from reading C++ file &#39;ReaderThr.hpp&#39;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment">**</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">** Created by: The Qt Meta Object Compiler version 68 (Qt 6.5.0)</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment">**</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">** WARNING! All changes made in this file will be lost!</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment">*****************************************************************************/</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &quot;../inc/ReaderThr.hpp&quot;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#include &lt;QtCore/qmetatype.h&gt;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#if __has_include(&lt;QtCore/qtmochelpers.h&gt;)</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QtCore/qtmochelpers.h&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>QT_BEGIN_MOC_NAMESPACE</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="preprocessor">#if !defined(Q_MOC_OUTPUT_REVISION)</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#error &quot;The header file &#39;ReaderThr.hpp&#39; doesn&#39;t include &lt;QObject&gt;.&quot;</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="preprocessor">#elif Q_MOC_OUTPUT_REVISION != 68</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="preprocessor">#error &quot;This file was generated using the moc from 6.5.0. It&quot;</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#error &quot;cannot be used with the include files from this version of Qt.&quot;</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#error &quot;(The moc has changed too much.)&quot;</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#ifndef Q_CONSTINIT</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="moc___reader_thr_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">   30</a></span><span class="preprocessor">#define Q_CONSTINIT</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>QT_WARNING_PUSH</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><a class="code hl_namespace" href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>QT_WARNING_DISABLE_GCC(<span class="stringliteral">&quot;-Wuseless-cast&quot;</span>)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>namespace {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">#ifdef QT_MOC_HAS_STRINGDATA</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">struct </span>qt_meta_stringdata_CLASSReaderThrENDCLASS_t {};</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="keyword">static</span> <span class="keyword">constexpr</span> <span class="keyword">auto</span> qt_meta_stringdata_CLASSReaderThrENDCLASS = QtMocHelpers::stringData(</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="stringliteral">&quot;ReaderThr&quot;</span>,</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="stringliteral">&quot;dataReceived&quot;</span>,</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="stringliteral">&quot;readDataError&quot;</span>,</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="stringliteral">&quot;serialReady&quot;</span>,</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="stringliteral">&quot;serialEnded&quot;</span>,</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="stringliteral">&quot;openError&quot;</span>,</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <span class="stringliteral">&quot;getData&quot;</span>,</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="stringliteral">&quot;startReading&quot;</span>,</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="stringliteral">&quot;endReading&quot;</span>,</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="stringliteral">&quot;returnData&quot;</span>,</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="stringliteral">&quot;RobotData*&quot;</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="preprocessor">#else  </span><span class="comment">// !QT_MOC_HAS_STRING_DATA</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html">   55</a></span><span class="keyword">struct </span><a class="code hl_struct" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html">qt_meta_stringdata_CLASSReaderThrENDCLASS_t</a> {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aa74cd2447545f21621fafc16fcdceb0d">   56</a></span>    uint offsetsAndSizes[24];</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a2e828712109d6e236491d14a4209be33">   57</a></span>    <span class="keywordtype">char</span> stringdata0[10];</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aa03fb3d80d29083a1ab357d2e67f5431">   58</a></span>    <span class="keywordtype">char</span> stringdata1[13];</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a0cea0de8e2896439d55360c9187a049e">   59</a></span>    <span class="keywordtype">char</span> stringdata2[1];</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#ad4efb83f984638c2edba3e7c1687487e">   60</a></span>    <span class="keywordtype">char</span> stringdata3[14];</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a91241f253191b83bf5797f531d0184e4">   61</a></span>    <span class="keywordtype">char</span> stringdata4[12];</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aa464e10b2670468c2516eec794a4b976">   62</a></span>    <span class="keywordtype">char</span> stringdata5[12];</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a32d7db5eecc56be9b5cfa511d2adca35">   63</a></span>    <span class="keywordtype">char</span> stringdata6[10];</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#ae8e12326e254b35e50bc5e2303fe5dd1">   64</a></span>    <span class="keywordtype">char</span> stringdata7[8];</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aae700af7fb13ac62423b1f768c4e7a9a">   65</a></span>    <span class="keywordtype">char</span> stringdata8[13];</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a31916e157024c3551f0802aff5642fec">   66</a></span>    <span class="keywordtype">char</span> stringdata9[11];</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a5d072362154a9dfbe20b99a38ff4fb00">   67</a></span>    <span class="keywordtype">char</span> stringdata10[11];</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#ab8a852c8d7229dcfc69c3ba7868e294d">   68</a></span>    <span class="keywordtype">char</span> stringdata11[11];</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>};</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">   70</a></span><span class="preprocessor">#define QT_MOC_LITERAL(ofs, len) \</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">    uint(sizeof(qt_meta_stringdata_CLASSReaderThrENDCLASS_t::offsetsAndSizes) + ofs), len </span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><a class="code hl_define" href="moc___reader_thr_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">static</span> <span class="keyword">const</span> qt_meta_stringdata_CLASSReaderThrENDCLASS_t qt_meta_stringdata_CLASSReaderThrENDCLASS = {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(0, 9),  <span class="comment">// &quot;ReaderThr&quot;</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(10, 12),  <span class="comment">// &quot;dataReceived&quot;</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(23, 0),  <span class="comment">// &quot;&quot;</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(24, 13),  <span class="comment">// &quot;readDataError&quot;</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(38, 11),  <span class="comment">// &quot;serialReady&quot;</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(50, 11),  <span class="comment">// &quot;serialEnded&quot;</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(62, 9),  <span class="comment">// &quot;openError&quot;</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(72, 7),  <span class="comment">// &quot;getData&quot;</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(80, 12),  <span class="comment">// &quot;startReading&quot;</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(93, 10),  <span class="comment">// &quot;endReading&quot;</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(104, 10),  <span class="comment">// &quot;returnData&quot;</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <a class="code hl_define" href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a>(115, 10)   <span class="comment">// &quot;RobotData*&quot;</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    },</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="stringliteral">&quot;ReaderThr&quot;</span>,</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="stringliteral">&quot;dataReceived&quot;</span>,</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="stringliteral">&quot;readDataError&quot;</span>,</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="stringliteral">&quot;serialReady&quot;</span>,</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="stringliteral">&quot;serialEnded&quot;</span>,</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    <span class="stringliteral">&quot;openError&quot;</span>,</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    <span class="stringliteral">&quot;getData&quot;</span>,</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    <span class="stringliteral">&quot;startReading&quot;</span>,</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="stringliteral">&quot;endReading&quot;</span>,</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="stringliteral">&quot;returnData&quot;</span>,</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="stringliteral">&quot;RobotData*&quot;</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>};</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="preprocessor">#undef QT_MOC_LITERAL</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="preprocessor">#endif </span><span class="comment">// !QT_MOC_HAS_STRING_DATA</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>} <span class="comment">// unnamed namespace</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><a class="code hl_define" href="moc___reader_thr_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">static</span> <span class="keyword">const</span> uint qt_meta_data_CLASSReaderThrENDCLASS[] = {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> <span class="comment">// content:</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>      11,       <span class="comment">// revision</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>       0,       <span class="comment">// classname</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>       0,    0, <span class="comment">// classinfo</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>       9,   14, <span class="comment">// methods</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>       0,    0, <span class="comment">// properties</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>       0,    0, <span class="comment">// enums/sets</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>       0,    0, <span class="comment">// constructors</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>       0,       <span class="comment">// flags</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>       5,       <span class="comment">// signalCount</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> <span class="comment">// signals: name, argc, parameters, tag, flags, initial metatype offsets</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>       1,    0,   68,    2, 0x06,    1 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>       3,    0,   69,    2, 0x06,    2 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>       4,    0,   70,    2, 0x06,    3 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>       5,    0,   71,    2, 0x06,    4 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>       6,    0,   72,    2, 0x06,    5 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span> </div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span> <span class="comment">// slots: name, argc, parameters, tag, flags, initial metatype offsets</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>       7,    0,   73,    2, 0x0a,    6 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>       8,    0,   74,    2, 0x0a,    7 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>       9,    0,   75,    2, 0x0a,    8 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>      10,    0,   76,    2, 0x0a,    9 <span class="comment">/* Public */</span>,</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> <span class="comment">// signals: parameters</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>    QMetaType::Void,</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    QMetaType::Void,</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    QMetaType::Void,</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    QMetaType::Void,</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    QMetaType::Void,</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> <span class="comment">// slots: parameters</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    QMetaType::Void,</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    QMetaType::Void,</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    QMetaType::Void,</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    0x80000000 | 11,</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>       0        <span class="comment">// eod</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>};</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span> </div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span><a class="code hl_define" href="moc___reader_thr_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a> <span class="keyword">const</span> QMetaObject ReaderThr::staticMetaObject = { {</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    QMetaObject::SuperData::link&lt;QThread::staticMetaObject&gt;(),</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    qt_meta_stringdata_CLASSReaderThrENDCLASS.<a class="code hl_variable" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aa74cd2447545f21621fafc16fcdceb0d">offsetsAndSizes</a>,</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    qt_meta_data_CLASSReaderThrENDCLASS,</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    qt_static_metacall,</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>    <span class="keyword">nullptr</span>,</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    qt_incomplete_metaTypeArray&lt;qt_meta_stringdata_CLASSReaderThrENDCLASS_t,</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        <span class="comment">// Q_OBJECT / Q_GADGET</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        QtPrivate::TypeAndForceComplete&lt;ReaderThr, std::true_type&gt;,</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="comment">// method &#39;dataReceived&#39;</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="comment">// method &#39;readDataError&#39;</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="comment">// method &#39;serialReady&#39;</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="comment">// method &#39;serialEnded&#39;</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="comment">// method &#39;openError&#39;</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="comment">// method &#39;getData&#39;</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="comment">// method &#39;startReading&#39;</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="comment">// method &#39;endReading&#39;</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        QtPrivate::TypeAndForceComplete&lt;void, std::false_type&gt;,</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="comment">// method &#39;returnData&#39;</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        QtPrivate::TypeAndForceComplete&lt;RobotData *, std::false_type&gt;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    &gt;,</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    <span class="keyword">nullptr</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>} };</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="keywordtype">void</span> ReaderThr::qt_static_metacall(QObject *_o, QMetaObject::Call _c, <span class="keywordtype">int</span> _id, <span class="keywordtype">void</span> **_a)</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>{</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    <span class="keywordflow">if</span> (_c == QMetaObject::InvokeMetaMethod) {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <span class="keyword">auto</span> *_t = <span class="keyword">static_cast&lt;</span><a class="code hl_class" href="class_reader_thr.html">ReaderThr</a> *<span class="keyword">&gt;</span>(_o);</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        (void)_t;</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordflow">switch</span> (_id) {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">case</span> 0: _t-&gt;<a class="code hl_signal" href="class_reader_thr.html#ac62be94185570a06912a621e7f8903a1">dataReceived</a>(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        <span class="keywordflow">case</span> 1: _t-&gt;readDataError(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordflow">case</span> 2: _t-&gt;serialReady(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <span class="keywordflow">case</span> 3: _t-&gt;serialEnded(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">case</span> 4: _t-&gt;openError(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">case</span> 5: _t-&gt;getData(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        <span class="keywordflow">case</span> 6: _t-&gt;startReading(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">case</span> 7: _t-&gt;endReading(); <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>        <span class="keywordflow">case</span> 8: { <a class="code hl_class" href="class_robot_data.html">RobotData</a>* _r = _t-&gt;returnData();</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">if</span> (_a[0]) *<span class="keyword">reinterpret_cast&lt;</span> <a class="code hl_class" href="class_robot_data.html">RobotData</a>**<span class="keyword">&gt;</span>(_a[0]) = std::move(_r); }  <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">default</span>: ;</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        }</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (_c == QMetaObject::IndexOfMethod) {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <span class="keywordtype">int</span> *result = <span class="keyword">reinterpret_cast&lt;</span><span class="keywordtype">int</span> *<span class="keyword">&gt;</span>(_a[0]);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="keyword">using </span>_t = void (<a class="code hl_class" href="class_reader_thr.html">ReaderThr</a>::*)();</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>            <span class="keywordflow">if</span> (_t _q_method = &amp;<a class="code hl_signal" href="class_reader_thr.html#ac62be94185570a06912a621e7f8903a1">ReaderThr::dataReceived</a>; *<span class="keyword">reinterpret_cast&lt;</span>_t *<span class="keyword">&gt;</span>(_a[1]) == _q_method) {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>                *result = 0;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            }</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        }</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>            <span class="keyword">using </span>_t = void (<a class="code hl_class" href="class_reader_thr.html">ReaderThr</a>::*)();</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            <span class="keywordflow">if</span> (_t _q_method = &amp;<a class="code hl_signal" href="class_reader_thr.html#aef34cdb35e14697b7d0532e9632d48f0">ReaderThr::readDataError</a>; *<span class="keyword">reinterpret_cast&lt;</span>_t *<span class="keyword">&gt;</span>(_a[1]) == _q_method) {</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                *result = 1;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            }</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        {</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            <span class="keyword">using </span>_t = void (<a class="code hl_class" href="class_reader_thr.html">ReaderThr</a>::*)();</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            <span class="keywordflow">if</span> (_t _q_method = &amp;<a class="code hl_signal" href="class_reader_thr.html#a711c5833c73b018db6479ae5bd0f5d28">ReaderThr::serialReady</a>; *<span class="keyword">reinterpret_cast&lt;</span>_t *<span class="keyword">&gt;</span>(_a[1]) == _q_method) {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                *result = 2;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        {</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>            <span class="keyword">using </span>_t = void (<a class="code hl_class" href="class_reader_thr.html">ReaderThr</a>::*)();</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>            <span class="keywordflow">if</span> (_t _q_method = &amp;<a class="code hl_signal" href="class_reader_thr.html#a61f30db257d0130689522f00b3892ce7">ReaderThr::serialEnded</a>; *<span class="keyword">reinterpret_cast&lt;</span>_t *<span class="keyword">&gt;</span>(_a[1]) == _q_method) {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>                *result = 3;</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>            }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        }</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>        {</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>            <span class="keyword">using </span>_t = void (<a class="code hl_class" href="class_reader_thr.html">ReaderThr</a>::*)();</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>            <span class="keywordflow">if</span> (_t _q_method = &amp;<a class="code hl_signal" href="class_reader_thr.html#aab71defba4e9074ccd0f4fc6dcdfaeba">ReaderThr::openError</a>; *<span class="keyword">reinterpret_cast&lt;</span>_t *<span class="keyword">&gt;</span>(_a[1]) == _q_method) {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>                *result = 4;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>            }</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>}</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> </div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="keyword">const</span> QMetaObject *ReaderThr::metaObject()<span class="keyword"> const</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="keyword"></span>{</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>    <span class="keywordflow">return</span> QObject::d_ptr-&gt;metaObject ? QObject::d_ptr-&gt;dynamicMetaObject() : &amp;<a class="code hl_variable" href="namespace_q_c_p.html#a6de91ee30f2faa5e847a7be8b178b0f6">staticMetaObject</a>;</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>}</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="keywordtype">void</span> *ReaderThr::qt_metacast(<span class="keyword">const</span> <span class="keywordtype">char</span> *_clname)</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>{</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    <span class="keywordflow">if</span> (!_clname) <span class="keywordflow">return</span> <span class="keyword">nullptr</span>;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordflow">if</span> (!strcmp(_clname, qt_meta_stringdata_CLASSReaderThrENDCLASS.<a class="code hl_variable" href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a2e828712109d6e236491d14a4209be33">stringdata0</a>))</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>        <span class="keywordflow">return</span> <span class="keyword">static_cast&lt;</span><span class="keywordtype">void</span>*<span class="keyword">&gt;</span>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    <span class="keywordflow">return</span> QThread::qt_metacast(_clname);</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span>}</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span><span class="keywordtype">int</span> ReaderThr::qt_metacall(QMetaObject::Call _c, <span class="keywordtype">int</span> _id, <span class="keywordtype">void</span> **_a)</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>{</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>    _id = QThread::qt_metacall(_c, _id, _a);</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>    <span class="keywordflow">if</span> (_id &lt; 0)</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        <span class="keywordflow">return</span> _id;</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    <span class="keywordflow">if</span> (_c == QMetaObject::InvokeMetaMethod) {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        <span class="keywordflow">if</span> (_id &lt; 9)</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            qt_static_metacall(<span class="keyword">this</span>, _c, _id, _a);</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        _id -= 9;</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>    } <span class="keywordflow">else</span> <span class="keywordflow">if</span> (_c == QMetaObject::RegisterMethodArgumentMetaType) {</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <span class="keywordflow">if</span> (_id &lt; 9)</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            *<span class="keyword">reinterpret_cast&lt;</span>QMetaType *<span class="keyword">&gt;</span>(_a[0]) = QMetaType();</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        _id -= 9;</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>    }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>    <span class="keywordflow">return</span> _id;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>}</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span><span class="comment">// SIGNAL 0</span></div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno"><a class="line" href="class_reader_thr.html#ac62be94185570a06912a621e7f8903a1">  266</a></span><span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#ac62be94185570a06912a621e7f8903a1">ReaderThr::dataReceived</a>()</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>{</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>    QMetaObject::activate(<span class="keyword">this</span>, &amp;staticMetaObject, 0, <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>}</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span><span class="comment">// SIGNAL 1</span></div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno"><a class="line" href="class_reader_thr.html#aef34cdb35e14697b7d0532e9632d48f0">  272</a></span><span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#aef34cdb35e14697b7d0532e9632d48f0">ReaderThr::readDataError</a>()</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>{</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    QMetaObject::activate(<span class="keyword">this</span>, &amp;staticMetaObject, 1, <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>}</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span> </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span><span class="comment">// SIGNAL 2</span></div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno"><a class="line" href="class_reader_thr.html#a711c5833c73b018db6479ae5bd0f5d28">  278</a></span><span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#a711c5833c73b018db6479ae5bd0f5d28">ReaderThr::serialReady</a>()</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>{</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>    QMetaObject::activate(<span class="keyword">this</span>, &amp;staticMetaObject, 2, <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>}</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span> </div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span><span class="comment">// SIGNAL 3</span></div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno"><a class="line" href="class_reader_thr.html#a61f30db257d0130689522f00b3892ce7">  284</a></span><span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#a61f30db257d0130689522f00b3892ce7">ReaderThr::serialEnded</a>()</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>{</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>    QMetaObject::activate(<span class="keyword">this</span>, &amp;staticMetaObject, 3, <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>}</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span> </div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span><span class="comment">// SIGNAL 4</span></div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno"><a class="line" href="class_reader_thr.html#aab71defba4e9074ccd0f4fc6dcdfaeba">  290</a></span><span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#aab71defba4e9074ccd0f4fc6dcdfaeba">ReaderThr::openError</a>()</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>{</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>    QMetaObject::activate(<span class="keyword">this</span>, &amp;staticMetaObject, 4, <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno">  293</span>}</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>QT_WARNING_POP</div>
<div class="ttc" id="aclass_reader_thr_html"><div class="ttname"><a href="class_reader_thr.html">ReaderThr</a></div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8hpp_source.html#l00008">ReaderThr.hpp:9</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_a61f30db257d0130689522f00b3892ce7"><div class="ttname"><a href="class_reader_thr.html#a61f30db257d0130689522f00b3892ce7">ReaderThr::serialEnded</a></div><div class="ttdeci">void serialEnded()</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00284">moc_ReaderThr.cpp:284</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_a711c5833c73b018db6479ae5bd0f5d28"><div class="ttname"><a href="class_reader_thr.html#a711c5833c73b018db6479ae5bd0f5d28">ReaderThr::serialReady</a></div><div class="ttdeci">void serialReady()</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00278">moc_ReaderThr.cpp:278</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_aab71defba4e9074ccd0f4fc6dcdfaeba"><div class="ttname"><a href="class_reader_thr.html#aab71defba4e9074ccd0f4fc6dcdfaeba">ReaderThr::openError</a></div><div class="ttdeci">void openError()</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00290">moc_ReaderThr.cpp:290</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_ac62be94185570a06912a621e7f8903a1"><div class="ttname"><a href="class_reader_thr.html#ac62be94185570a06912a621e7f8903a1">ReaderThr::dataReceived</a></div><div class="ttdeci">void dataReceived()</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00266">moc_ReaderThr.cpp:266</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_aef34cdb35e14697b7d0532e9632d48f0"><div class="ttname"><a href="class_reader_thr.html#aef34cdb35e14697b7d0532e9632d48f0">ReaderThr::readDataError</a></div><div class="ttdeci">void readDataError()</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00272">moc_ReaderThr.cpp:272</a></div></div>
<div class="ttc" id="aclass_robot_data_html"><div class="ttname"><a href="class_robot_data.html">RobotData</a></div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00004">RobotData.hpp:5</a></div></div>
<div class="ttc" id="amoc___reader_thr_8cpp_html_a3c6e81753001d10d51e62d0a29c273bc"><div class="ttname"><a href="moc___reader_thr_8cpp.html#a3c6e81753001d10d51e62d0a29c273bc">QT_MOC_LITERAL</a></div><div class="ttdeci">#define QT_MOC_LITERAL(ofs, len)</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00070">moc_ReaderThr.cpp:70</a></div></div>
<div class="ttc" id="amoc___reader_thr_8cpp_html_ad83b2306f94b5b9e5625794fc238c8a0"><div class="ttname"><a href="moc___reader_thr_8cpp.html#ad83b2306f94b5b9e5625794fc238c8a0">Q_CONSTINIT</a></div><div class="ttdeci">#define Q_CONSTINIT</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00030">moc_ReaderThr.cpp:30</a></div></div>
<div class="ttc" id="anamespace_q_c_p_html_a6de91ee30f2faa5e847a7be8b178b0f6"><div class="ttname"><a href="namespace_q_c_p.html#a6de91ee30f2faa5e847a7be8b178b0f6">QCP::staticMetaObject</a></div><div class="ttdeci">const QMetaObject staticMetaObject</div><div class="ttdef"><b>Definition</b> <a href="moc__qcustomplot_8cpp_source.html#l11628">moc_qcustomplot.cpp:11628</a></div></div>
<div class="ttc" id="anamespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_html"><div class="ttname"><a href="namespace_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d.html">QT_WARNING_DISABLE_DEPRECATED</a></div><div class="ttdef"><b>Definition</b> <a href="build-_robomap-_linux_mint-_debug_2moc___distance_win_8cpp_source.html#l00037">build-Robomap-LinuxMint-Debug/moc_DistanceWin.cpp:37</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f_html"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSReaderThrENDCLASS_t</a></div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00055">moc_ReaderThr.cpp:55</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f_html_a2e828712109d6e236491d14a4209be33"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#a2e828712109d6e236491d14a4209be33">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSReaderThrENDCLASS_t::stringdata0</a></div><div class="ttdeci">char stringdata0[10]</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00057">moc_ReaderThr.cpp:57</a></div></div>
<div class="ttc" id="astruct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f_html_aa74cd2447545f21621fafc16fcdceb0d"><div class="ttname"><a href="struct_q_t___w_a_r_n_i_n_g___d_i_s_a_b_l_e___d_e_p_r_e_c_a_t_e_d_1_1qt__meta__stringdata___c_l_a2d335bbc4faa9ac9b447f9501339109f.html#aa74cd2447545f21621fafc16fcdceb0d">QT_WARNING_DISABLE_DEPRECATED::qt_meta_stringdata_CLASSReaderThrENDCLASS_t::offsetsAndSizes</a></div><div class="ttdeci">uint offsetsAndSizes[24]</div><div class="ttdef"><b>Definition</b> <a href="moc___reader_thr_8cpp_source.html#l00056">moc_ReaderThr.cpp:56</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fdb94c866a62644ee9972e7b13732458.html">build-Robomap-LinuxMint-Debug</a></li><li class="navelem"><a class="el" href="moc___reader_thr_8cpp.html">moc_ReaderThr.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
